Inbound Funds

Inbound funds represent payments received from external parties into Flowbrite collection accounts. When funds are received, they are automatically credited to the corresponding client wallet.

Overview

When a sender transfers funds to one of your collection account details, Flowbrite detects the incoming payment and creates an inbound funds record. If the funds can be matched to a client, they are credited to the appropriate wallet.

Status Transitions

  • Happy Path PENDINGCREDITED

    Funds are received (PENDING) and successfully credited to the wallet (CREDITED).

  • Error Path PENDINGREJECTED

    If the funds cannot be matched or are rejected, they are returned to the sender.


View Inbound Funds

GET/v1/inbound-funds/{inboundFundsId}

Retrieves an inbound funds record.

Path Parameters

  • Name
    inboundFundsId
    Type
    string
    Required
    Type
    Description

    The unique ID of the inbound funds record.

Request

GET
/v1/inbound-funds/{inboundFundsId}
  curl -G https://api.flowbrite.io/v1/inbound-funds/{inboundFundsId} \
  -H "X-API-KEY: {api_key}"

Responses

Response Body

  • Name
    data
    Type
    object
    Type
    Description

Example Responses

{
  "data": {
    "id": "if_X01JTK7NABCDEF1234567890",
    "reference": "ABCD1234EFGH",
    "client": {
      "id": "cli_X01JTK7H3SZEEP3KVHA1ZFFRYDD",
      "name": "Joanna Bloggs Ltd"
    },
    "amount": {
      "ccyCode": "GBP",
      "value": 10000.0
    },
    "narrative": "Payment for services",
    "creditsOn": "2025-05-15",
    "sender": {
      "raw": "ACME CORP / 123 HIGH STREET LONDON GB",
      "name": "ACME CORP",
      "address": "123 HIGH STREET LONDON",
      "countryCode": "GB",
      "accountNumber": "12345678",
      "bicSwiftCode": "BARCGB22",
      "routingCode": "200415"
    },
    "receivingAccountNumber": "87654321",
    "receivingAccountIban": null,
    "status": "CREDITED",
    "statusHistory": [
      {
        "status": "PENDING",
        "statusReason": null,
        "occurredOn": "2025-05-15T08:00:00"
      },
      {
        "status": "CREDITED",
        "statusReason": null,
        "occurredOn": "2025-05-15T09:00:00"
      }
    ]
  }
}

Search Inbound Funds

GET/v1/inbound-funds

Search for inbound funds records.

Please refer to the Search Guide for information on how to construct queries.

Search Parameters

It is possible to search for inbound funds by the following fields. Please refer to the data object definition in the Response Body below for details on each field.

Request

GET
/v1/inbound-funds
  curl -G https://api.flowbrite.io/v1/inbound-funds \
  -H "X-API-KEY: {api_key}" \
  -d 'q=status=="CREDITED"' \
  -d "sortBy=creditsOn:DESC" \
  -d "offset=0" \
  -d "limit=10"

Responses

Response Body

  • Name
    data
    Type
    object[]
    This is an array
    Type
    Description
  • Name
    meta
    Type
    object
    Type
    Description
    Metadata about the inbound funds search results.

Example Responses

{
  "data": [
    {
      "id": "if_X01JTK7NABCDEF1234567890",
      "reference": "ABCD1234EFGH",
      "client": {
        "id": "cli_X01JTK7H3SZEEP3KVHA1ZFFRYDD",
        "name": "Joanna Bloggs Ltd"
      },
      "amount": {
        "ccyCode": "GBP",
        "value": 10000.0
      },
      "narrative": "Payment for services",
      "creditsOn": "2025-05-15",
      "sender": {
        "raw": "ACME CORP / 123 HIGH STREET LONDON GB",
        "name": "ACME CORP",
        "address": "123 HIGH STREET LONDON",
        "countryCode": "GB",
        "accountNumber": "12345678",
        "bicSwiftCode": "BARCGB22",
        "routingCode": "200415"
      },
      "receivingAccountNumber": "87654321",
      "receivingAccountIban": null,
      "status": "CREDITED",
      "statusHistory": []
    }
  ],
  "meta": {
    "query": "status==\"CREDITED\"",
    "sortBy": ["creditsOn:DESC"],
    "offset": 0,
    "limit": 10,
    "count": 1,
    "totalCount": 1,
    "timestamp": "2025-06-01T09:00:00Z"
  }
}